/ api / name / gb.strncasecmp
GB.strncasecmp
Syntax

    int GB.strncasecmp ( const char *s1 , const char *s2 )

This is a locale insensitive replacement for the glibc `strncasecmp()` function.

| You must use this function instead of the standard glibc one to compare ASCII strings in a case unsensitive way, because the glibc one is localization aware. And if you did not know yet, in turkish, `strcasecmp("i", "I") != 0`.

### See also

String Management